nicod_ a écrit le 05/08/2019 à 18:18 :
Le 05/08/2019 à 16:48, RealET a écrit :
Bonjour,

Est-ce qu'il y a un risque à avoir cette version sur un serveur ?

Si j'ai bien compris, la version SPIP est légèrement forkée pour ne pas avoir de collision avec le nom d'une fonction internet de SPIP (is_utf8).

Est-ce qu'il y a d'autres modifications à reporter à chaque mise à jour ?

cf : https://github.com/vrana/adminer/blob/master/changes.txt

https://plugins.spip.net/adminer.html

J'ai tenté une mise à jour en 4.7, me suis cassé les dents.
J'ai l'impression qu'ils ont recode des choses différemment...
J'ai laissé tomber sur le moment, autre choses à faire.

Pour les modifs faites sur le script original, effectivement renommage de is_utf8 en isutf8 et sûrement d'autres (voir le log de commits).
Je suis allé voir les logs de commits.
Et je n'ai vu que ça.
Et ça donne https://zone.spip.org/trac/spip-zone/changeset/116238
J'ai donc mis à jour le plugins/plugin.php avec la version 4.7.2
Pour les 2 autres plugins, le database-limit.php ne semble pas avoir besoin de mise à jour Et pour login-sqlite.php, je n'en sais rien, et je n'ai pas trouvé de source en ligne.

--
RealET



----
spip-zone@rezo.net - https://listes.rezo.net/mailman/listinfo/spip-zone

Répondre à